Bug 247908 - www/iridium build failure
Summary: www/iridium build failure
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-chromium (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-11 10:59 UTC by tech-lists
Modified: 2020-07-24 16:52 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (chromium)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tech-lists 2020-07-11 10:59:19 UTC
Hello,

context:
poudriere: poudriere-devel-3.3.99.20200326
poudriere jail: 12.1-STABLE 1201519 r363083      amd64
poudriere host: 12.1-STABLE #0 r363080
ports: 541890

fails here:

[1126/21022] cc -MMD -MF obj/third_party/angle/src/third_party/libXNVCtrl/libXNVCtrl/NVCtrl.o.d -DUSE_AURA=1 -DUSE_GLIB=1 -DUSE_NSS_CERTS=1 -DUSE_X11=1 -DNO_TCMALLOC -DFULL_SAFE_BROWSING -DSAFE_BROWSING_CSD -DSAFE_BROWSING_DB_LOCAL -DOFFICIAL_BUILD -DCHROMIUM_BUILD -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_GNU_SOURCE -DCR_CLANG_REVISION=\"351477-1\" -D__STDC_CONSTANT_MACROS -D__STDC_FORMAT_MACROS -D_FORTIFY_SOURCE=2 -DNDEBUG -DNVALGRIND -DDYNAMIC_ANNOTATIONS_ENABLED=0 -I../.. -Igen -fprofile-sample-use=../../chrome/android/profiles/afdo.prof -fno-strict-aliasing --param=ssp-buffer-size=4 -fstack-protector -funwind-tables -fPIC -pthread -fcolor-diagnostics -fmerge-all-constants -no-canonical-prefixes -m64 -march=x86-64 -Wall -Wextra -Wimplicit-fallthrough -Wthread-safety -Wno-missing-field-initializers -Wno-unused-parameter -Wno-c++11-narrowing -Wno-unneeded-internal-declaration -Wno-undefined-var-template -O2 -fno-ident -fdata-sections -ffunction-sections -fno-omit-frame-pointer -g0 -fvisibility=hidden -Wheader-hygiene -Wstring-conversion -Wtautological-overlap-compare -Wno-incompatible-pointer-types-discards-qualifiers -std=c11 -c ../../third_party/angle/src/third_party/libXNVCtrl/NVCtrl.c -o obj/third_party/angle/src/third_party/libXNVCtrl/libXNVCtrl/NVCtrl.o
[1127/21022] touch obj/third_party/angle/src/third_party/libXNVCtrl/libXNVCtrl.stamp
[1128/21022] c++ -MMD -MF obj/third_party/angle/third_party/glslang/glslang/InitializeDll.o.d -DUSE_AURA=1 -DUSE_GLIB=1 -DUSE_NSS_CERTS=1 -DUSE_X11=1 -DNO_TCMALLOC -DFULL_SAFE_BROWSING -DSAFE_BROWSING_CSD -DSAFE_BROWSING_DB_LOCAL -DOFFICIAL_BUILD -DCHROMIUM_BUILD -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_GNU_SOURCE -DCR_CLANG_REVISION=\"351477-1\" -DNDEBUG -DNVALGRIND -DDYNAMIC_ANNOTATIONS_ENABLED=0 -I../.. -Igen -I../../third_party/angle/third_party/glslang/src -I../../third_party/angle/third_party/glslang/src/glslang/Public -fprofile-sample-use=../../chrome/android/profiles/afdo.prof -fno-strict-aliasing --param=ssp-buffer-size=4 -fstack-protector -funwind-tables -fPIC -pthread -fcolor-diagnostics -fmerge-all-constants -no-canonical-prefixes -m64 -march=x86-64 -O2 -fno-ident -fdata-sections -ffunction-sections -fno-omit-frame-pointer -g0 -fvisibility=hidden -Wheader-hygiene -Wstring-conversion -Wtautological-overlap-compare -Wall -Wno-unused-variable -Wno-missing-field-initializers -Wno-unused-parameter -Wno-c++11-narrowing -Wno-unneeded-internal-declaration -Wno-undefined-var-template -Wno-ignored-qualifiers -Wno-reorder -std=c++14 -fno-exceptions -fno-rtti -fvisibility-inlines-hidden -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include  -c ../../third_party/angle/third_party/glslang/src/OGLCompilersDLL/InitializeDll.cpp -o obj/third_party/angle/third_party/glslang/glslang/InitializeDll.o
FAILED: obj/third_party/angle/third_party/glslang/glslang/InitializeDll.o
c++ -MMD -MF obj/third_party/angle/third_party/glslang/glslang/InitializeDll.o.d -DUSE_AURA=1 -DUSE_GLIB=1 -DUSE_NSS_CERTS=1 -DUSE_X11=1 -DNO_TCMALLOC -DFULL_SAFE_BROWSING -DSAFE_BROWSING_CSD -DSAFE_BROWSING_DB_LOCAL -DOFFICIAL_BUILD -DCHROMIUM_BUILD -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE -D_GNU_SOURCE -DCR_CLANG_REVISION=\"351477-1\" -DNDEBUG -DNVALGRIND -DDYNAMIC_ANNOTATIONS_ENABLED=0 -I../.. -Igen -I../../third_party/angle/third_party/glslang/src -I../../third_party/angle/third_party/glslang/src/glslang/Public -fprofile-sample-use=../../chrome/android/profiles/afdo.prof -fno-strict-aliasing --param=ssp-buffer-size=4 -fstack-protector -funwind-tables -fPIC -pthread -fcolor-diagnostics -fmerge-all-constants -no-canonical-prefixes -m64 -march=x86-64 -O2 -fno-ident -fdata-sections -ffunction-sections -fno-omit-frame-pointer -g0 -fvisibility=hidden -Wheader-hygiene -Wstring-conversion -Wtautological-overlap-compare -Wall -Wno-unused-variable -Wno-missing-field-initializers -Wno-unused-parameter -Wno-c++11-narrowing -Wno-unneeded-internal-declaration -Wno-undefined-var-template -Wno-ignored-qualifiers -Wno-reorder -std=c++14 -fno-exceptions -fno-rtti -fvisibility-inlines-hidden -O2 -pipe -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include  -c ../../third_party/angle/third_party/glslang/src/OGLCompilersDLL/InitializeDll.cpp -o obj/third_party/angle/third_party/glslang/glslang/InitializeDll.o
In file included from ../../third_party/angle/third_party/glslang/src/OGLCompilersDLL/InitializeDll.cpp:41:
../../third_party/angle/third_party/glslang/src/OGLCompilersDLL/../glslang/Public/ShaderLang.h:85:22: warning: '__fastcall__' calling convention is not supported for this target [-Wignored-attributes]
SH_IMPORT_EXPORT int __fastcall ShFinalize();
                     ^
/usr/include/sys/cdefs.h:372:35: note: expanded from macro '__fastcall'
#define __fastcall      __attribute__((__fastcall__))
                                       ^
In file included from ../../third_party/angle/third_party/glslang/src/OGLCompilersDLL/InitializeDll.cpp:42:
../../third_party/angle/third_party/glslang/src/OGLCompilersDLL/../glslang/Include/PoolAlloc.h:307:54: error: 'operator=' is a private member of 'glslang::TPoolAllocator'
    void setAllocator(TPoolAllocator* a) { allocator = *a; }
                                           ~~~~~~~~~ ^ ~~
../../third_party/angle/third_party/glslang/src/OGLCompilersDLL/../glslang/Include/PoolAlloc.h:244:21: note: declared private here
    TPoolAllocator& operator=(const TPoolAllocator&);  // don't allow assignment operator
                    ^
1 warning and 1 error generated.
ninja: build stopped: subcommand failed.
*** Error code 1

Stop.
make: stopped in /usr/ports/www/iridium
Comment 1 tech-lists 2020-07-16 16:59:27 UTC
also fails to build on 11-stable
Comment 2 Rene Ladan freebsd_committer 2020-07-19 12:11:13 UTC
Did you see PR 245798 which updates Iridium to a newer version?
Comment 3 tech-lists 2020-07-19 12:54:27 UTC
(In reply to Rene Ladan from comment #2)
no, i'll have a look
Comment 4 tech-lists 2020-07-19 13:29:31 UTC
(In reply to Rene Ladan from comment #2)

(portstree is now at 542575)

245798 is about lang/php74 not www/iridium. Do you mean 245959? For that one I downloaded and applied the patch, which applied cleanly. But now in poudriere I get the following error when trying to build the port:


[00:00:03] =======================<phase: checksum       >============================
[00:00:03] 
[00:00:03] To build Iridium, you should have around 2GB of memory
[00:00:03] and a fair amount of free diskspace (~ 6.5GB).
[00:00:03] 
[00:00:03] ===>   NOTICE:
[00:00:03] 
[00:00:03] This port is deprecated; you may wish to reconsider installing it:
[00:00:03] 
[00:00:03] Uses Python 2.7 which is EOLed upstream.
[00:00:03] 
[00:00:03] It is scheduled to be removed on or after 2020-12-31.
[00:00:03] 
[00:00:03] ===>  License BSD3CLAUSE LGPL21 MPL11 accepted by the user
[00:00:03] ===> Fetching all distfiles required by iridium-browser-2019.04.73_9 for building
[00:00:09] => No SHA256 checksum recorded for iridium-browser-2019.04.73.tar.xz.
[00:00:09] => No suitable checksum found for iridium-browser-2019.04.73.tar.xz.
[00:00:09] *** Error code 1
[00:00:09] 
[00:00:09] Stop.
[00:00:09] make: stopped in /usr/ports/www/iridium
[00:00:10] =>> Cleaning up wrkdir
[00:00:10] ===>  Cleaning for iridium-browser-2019.04.73_9
[00:00:10] build of www/iridium | iridium-browser-2019.04.73_9 ended at Sun Jul 19 14:20:01 BST 2020
[00:00:10] build time: 00:00:09
[00:00:10] !!! build failure encountered !!!
Comment 5 tech-lists 2020-07-19 13:35:26 UTC
now trying with NO_CHECKSUM=true in the make.conf
Comment 6 tech-lists 2020-07-19 14:30:03 UTC
Also tried going to the poudriere default ports directory and running make from there, ie outside of a poudriere environment. Deleted www/iridium, re-svn the ports tree, applied the patch again and this is the result:

# make NO_CHECKSUM=true

[...]

===>  License BSD3CLAUSE LGPL21 MPL11 accepted by the user
===>   iridium-browser-2019.04.73_9 depends on file: /usr/local/sbin/pkg - found
=> iridium-browser-2019.04.73.tar.xz doesn't seem to exist in /usr/local/poudriere/ports/default/distfiles/.
=> Attempting to fetch https://downloads.iridiumbrowser.de/source/iridium-browser-2019.04.73.tar.xz
iridium-browser-2019.04.73.tar.xz                      695 MB 8571 kBps 01m23s
===> Fetching all distfiles required by iridium-browser-2019.04.73_9 for building
===>  Extracting for iridium-browser-2019.04.73_9
===>  Patching for iridium-browser-2019.04.73_9
===>   Converting DOS text files to UNIX text files
===>  Applying extra patch /usr/local/poudriere/ports/default/www/iridium/files/extra-patch-clang
===>  Applying FreeBSD patches for iridium-browser-2019.04.73_9 from /usr/local/poudriere/ports/default/www/iridium/files
====>   IGNORING patchfile patch-3p-pdfium_3p_base_allocator_partition__allocator_page__allocator__internals__posix.h.orig
2 out of 10 hunks failed--saving rejects to BUILD.gn.rej
===>  FAILED Applying FreeBSD patch-BUILD.gn
===> Cleanly applied FreeBSD patch(es)  patch-3p-pdfium_3p_base_allocator_partition__allocator_page__allocator__internals__posix.h
===> FAILED to apply cleanly FreeBSD patch(es)  patch-BUILD.gn
*** Error code 1

Stop.
make[1]: stopped in /usr/local/poudriere/ports/default/www/iridium
*** Error code 1

Stop.
make: stopped in /usr/local/poudriere/ports/default/www/iridium
Comment 7 Rene Ladan freebsd_committer 2020-07-23 16:31:54 UTC
(In reply to tech-lists from comment #5)
That would be the wrong approach, the patch is somehow not applying properly for you.
Comment 8 Rene Ladan freebsd_committer 2020-07-23 16:33:43 UTC
(In reply to tech-lists from comment #6)
Ah, your PORTVERSION got confused because PORTREVISION got updated independently in the meantime. Can you retry with r542938 (or just wait for the package to build on the cluster)?
Comment 9 tech-lists 2020-07-24 16:50:58 UTC
(In reply to Rene Ladan from comment #8)
yes this builds now, please close, many thanks